Package org.opensaml.saml.common.profile

# Class SAMLEventIds

java.lang.Object
org.opensaml.saml.common.profile.SAMLEventIds

public final class SAMLEventIds extends Object
SAML-specific constants to use for `ProfileAction` `EventContext`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ASSERTION_INVALID`
ID of event returned if a SAML Assertion was invalid.
`static final String`
`ASYNC_LOGOUT`
ID of event returned upon detection of the `Asynchronous` extension.
`static final String`
`CHANNEL_BINDINGS_ERROR`
ID of event returned upon failure to verify `ChannelBindings`.
`static final String`
`DECRYPT_ASSERTION_FAILED`
ID of event returned upon failure to decrypt an `EncryptedAssertion`.
`static final String`
`DECRYPT_ATTRIBUTE_FAILED`
ID of event returned upon failure to decrypt an `EncryptedAttribute`.
`static final String`
`DECRYPT_NAMEID_FAILED`
ID of event returned upon failure to decrypt an `EncryptedID`.
`static final String`
`ENDPOINT_RESOLUTION_FAILED`
ID of event returned upon failure to resolve an outgoing message endpoint to use.
`static final String`
`INVALID_NAMEID_POLICY`
ID of event returned if the requested `NameIDPolicy` can't be satisfied.
`static final String`
`SESSION_NOT_FOUND`
ID of event returned upon an inability to locate any matching session for a LogoutRequest.
`static final String`
`SUBJECT_ID_REQ_FAILED`
ID of event returned if SAML subject-id requirement is not met.
`static final String`
`UNABLE_RESOLVE_ARTIFACT`
ID of event returned if a SAML artifact cannot be resolved.
`static final String`
`UNABLE_VALIDATE_ASSERTION`
ID of event returned if there was a fatal error attempting to validate a SAML Assertion.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLEventIds()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ASYNC_LOGOUT

@Nonnull @NotEmpty public static final String ASYNC_LOGOUT
ID of event returned upon detection of the `Asynchronous` extension.

See Also:
  - Constant Field Values

### CHANNEL_BINDINGS_ERROR

@Nonnull @NotEmpty public static final String CHANNEL_BINDINGS_ERROR
ID of event returned upon failure to verify `ChannelBindings`.

See Also:
  - Constant Field Values

### DECRYPT_ASSERTION_FAILED

@Nonnull @NotEmpty public static final String DECRYPT_ASSERTION_FAILED
ID of event returned upon failure to decrypt an `EncryptedAssertion`.

See Also:
  - Constant Field Values

### DECRYPT_ATTRIBUTE_FAILED

@Nonnull @NotEmpty public static final String DECRYPT_ATTRIBUTE_FAILED
ID of event returned upon failure to decrypt an `EncryptedAttribute`.

See Also:
  - Constant Field Values

### DECRYPT_NAMEID_FAILED

@Nonnull @NotEmpty public static final String DECRYPT_NAMEID_FAILED
ID of event returned upon failure to decrypt an `EncryptedID`.

See Also:
  - Constant Field Values

### ENDPOINT_RESOLUTION_FAILED

@Nonnull @NotEmpty public static final String ENDPOINT_RESOLUTION_FAILED
ID of event returned upon failure to resolve an outgoing message endpoint to use.

See Also:
  - Constant Field Values

### INVALID_NAMEID_POLICY

@Nonnull @NotEmpty public static final String INVALID_NAMEID_POLICY
ID of event returned if the requested `NameIDPolicy` can't be satisfied.

See Also:
  - Constant Field Values

### SESSION_NOT_FOUND

@Nonnull @NotEmpty public static final String SESSION_NOT_FOUND
ID of event returned upon an inability to locate any matching session for a LogoutRequest.

See Also:
  - Constant Field Values

### UNABLE_RESOLVE_ARTIFACT

@Nonnull @NotEmpty public static final String UNABLE_RESOLVE_ARTIFACT
ID of event returned if a SAML artifact cannot be resolved.

See Also:
  - Constant Field Values

### SUBJECT_ID_REQ_FAILED

@Nonnull @NotEmpty public static final String SUBJECT_ID_REQ_FAILED
ID of event returned if SAML subject-id requirement is not met.

See Also:
  - Constant Field Values

### UNABLE_VALIDATE_ASSERTION

@Nonnull @NotEmpty public static final String UNABLE_VALIDATE_ASSERTION
ID of event returned if there was a fatal error attempting to validate a SAML Assertion.

See Also:
  - Constant Field Values

### ASSERTION_INVALID

@Nonnull @NotEmpty public static final String ASSERTION_INVALID
ID of event returned if a SAML Assertion was invalid.

See Also:
  - Constant Field Values

## Constructor Details

### SAMLEventIds

private SAMLEventIds()
Constructor.